using System;

internal sealed class Delegate539 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate539 delegate539_1)
	{
		delegate539_1(object_0);
	}

	public extern Delegate539(object object_0, IntPtr intptr_0);

	static Delegate539()
	{
		Class10.smethod_13(typeof(Delegate539).TypeHandle);
	}

	internal static Delegate539 delegate539_0;
}
